# HttpClient Interface Reference
[HTTP related utilities]

Inheritance diagram for HttpClient:
[legend]

List of all members.

## Public Member Functions

| setTimeout ($timeout)
| getTimeout ()
| setFollowLocation ($really)
| whether to follow header Location or not
| isFollowLocation ()
| setMaxRedirects ($maxRedirects)
| maximum number of header Location followed
| getMaxRedirects ()
| send (HttpRequest $request)

## Detailed Description

Definition at line 15 of file HttpClient.class.php.

## Member Function Documentation

HttpClient::getMaxRedirects | ( |  | ) |

Implemented in CurlHttpClient.

HttpClient::getTimeout | ( |  | ) |

Implemented in CurlHttpClient.

HttpClient::isFollowLocation | ( |  | ) |

Implemented in CurlHttpClient.

HttpClient::send | ( | HttpRequest $ | request | ) |

Returns:
  HttpResponse

Implemented in CurlHttpClient.

Referenced by OpenIdCredentials::__construct().

HttpClient::setFollowLocation | ( | $ | really | ) |

whether to follow header Location or not

Implemented in CurlHttpClient.

HttpClient::setMaxRedirects | ( | $ | maxRedirects | ) |

maximum number of header Location followed

Implemented in CurlHttpClient.

HttpClient::setTimeout | ( | $ | timeout | ) |

Parameters:

  | $timeout | in seconds

Implemented in CurlHttpClient.

The documentation for this interface was generated from the following file:

- main/Net/Http/HttpClient.class.php